Package Details: libsodium-git 1.0.10.r10.g0a590b0-1

Git Clone URL: https://aur.archlinux.org/libsodium-git.git (read-only)
Package Base: libsodium-git
Description: P(ortable|ackageable) NaCl-based crypto library (git version)
Upstream URL: https://github.com/jedisct1/libsodium
Licenses: ISC
Conflicts: libsodium
Provides: libsodium
Submitter: Boohbah
Maintainer: Boohbah
Last Packager: Boohbah
Votes: 37
Popularity: 0.423259
First Submitted: 2013-07-31 06:36
Last Updated: 2016-04-11 19:12

Dependencies (1)

Required by (76)

Sources (1)

Latest Comments

lemoer commented on 2016-04-10 18:11

Works on armv7h! It would be fine, if you could add this to the supported archs.

(tested on raspberry 3)

Boohbah commented on 2015-03-16 20:17

Thanks urras, changed license from MIT to ISC and incremented pkgver.

urras commented on 2015-02-12 14:47

Also I'm pretty sure that Libsodium is licensed under the ISC license, not the MIT license.

urras commented on 2015-02-11 17:57

Hi,
A new version (1.0.2) has been out for quite some time now.

urras commented on 2015-02-11 17:50

Hi,
A new version (1.0.2) has been out for quite some time now. Perhaps you could set pkgver to use git tags (https://gist.github.com/urras/558b42599e2e1e591ace)? This is a -git package, after all, so wouldn't it make sense to build directly from master?

Boohbah commented on 2014-11-29 00:22

Hi sekret, I've updated the pkgver function to use git tags and added you to the contributors. I've left out the epoch and there may be a version conflict updating from older versions.
The dependency on glibc has been omitted as it is not required to explicitly depend on packages in core, and also copying of the License file as it's provided by the core/licenses package.
Also changed the source array to use the https url.

Boohbah commented on 2014-11-29 00:22

Hi sekret, I've updated the pkgver function to use git tags and added you to the contributors. I've left out the epoch and there may be a version conflict updating from older versions. The dependency on glibc has been omitted as it is not required to explicitly depend on packages in core, and also copying of the License file as it's provided by the core/licenses package. Also changed the source array to use the https url.

sekret commented on 2014-10-08 09:49

Could you please condider switching to git tags in the pkgver function? Makes it a lot easier to see relevant updates! E.g. not long ago the project got updated to 1.0.0, which we all know is something real in the OSS world.

This will require an epoch bump, which looks ugly, but still, I vote for it!

Here's the updated PKGBUILD like I use it now. I also included the license file and added glibc to the dependencies.

http://codepad.org/FFPASEy7

fhahn commented on 2014-03-10 22:58

it seems like libtool is a required build dependency now

lelele commented on 2014-02-21 10:25

k, I found a fix.
"I suspect you've run into this bug which states that -pie and -static are incompatible: https://sourceware.org/bugzilla/show_bug.cgi?id=16428.

./configure --disable-pie might be a workaround until the issue is fixed upstream."
https://github.com/jedisct1/libsodium/issues/120#issuecomment-35710389

All comments